# GET News For Upcoming Fixtures

### `GET` News of all upcoming fixtures

We have news available for all upcoming English Premier League and Champions League matches as well as limited coverage for French Ligue 1, German Bundesliga, Italy Serie A and Spanish La Liga.

```
https://soccer.sportmonks.com/api/v2.0/news/fixtures/upcoming
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | YES     |
| Allowed nested includes | 10      |

#### Parameters

| Available parameters |                                                                                                                  |
| -------------------- | ---------------------------------------------------------------------------------------------------------------- |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=` etc to your request url. |

#### Include options

`fixtures`

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors.&#x20;

You can learn more about what includes are and how they work here:

{% content-ref url="/pages/-MJXOeyBzTS35Z7kTf1c" %}
[Includes](/v2/tutorials/enriching-your-response/includes.md)
{% endcontent-ref %}

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://soccer.sportmonks.com/api/v2.0/news/fixtures?api_token={API_TOKE
```

{% endtab %}
{% endtabs %}

{% file src="/files/-Mgf92RvY8-\_jSY8NjAP" %}
EURO2020 Final Italy - England: News Response
{% endfile %}

{% hint style="info" %}
Please note that you can also use the `news` include on our fixtures and livescores endpoints.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/endpoint-overview/news-api/get-news-for-upcoming-fixtures.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
